org.bouncycastle.jce.provider

## Class JCEKeyGenerator.CAST6

- java.lang.Object
- - javax.crypto.KeyGeneratorSpi
  - - org.bouncycastle.jce.provider.JCEKeyGenerator
    - - org.bouncycastle.jce.provider.JCEKeyGenerator.CAST6

Enclosing class:
  JCEKeyGenerator

    public static class JCEKeyGenerator.CAST6
    extends JCEKeyGenerator

CAST6

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCEKeyGenerator

`JCEKeyGenerator.Blowfish, JCEKeyGenerator.CAST6, JCEKeyGenerator.DES, JCEKeyGenerator.DESede, JCEKeyGenerator.DESede3, JCEKeyGenerator.GOST28147, JCEKeyGenerator.HC128, JCEKeyGenerator.HC256, JCEKeyGenerator.HMACSHA1, JCEKeyGenerator.HMACSHA224, JCEKeyGenerator.HMACSHA256, JCEKeyGenerator.HMACSHA384, JCEKeyGenerator.HMACSHA512, JCEKeyGenerator.HMACTIGER, JCEKeyGenerator.MD2HMAC, JCEKeyGenerator.MD4HMAC, JCEKeyGenerator.MD5HMAC, JCEKeyGenerator.RC2, JCEKeyGenerator.RC4, JCEKeyGenerator.RC5, JCEKeyGenerator.RC564, JCEKeyGenerator.RC6, JCEKeyGenerator.Rijndael, JCEKeyGenerator.RIPEMD128HMAC, JCEKeyGenerator.RIPEMD160HMAC, JCEKeyGenerator.Salsa20, JCEKeyGenerator.Serpent, JCEKeyGenerator.Skipjack, JCEKeyGenerator.TEA, JCEKeyGenerator.Twofish, JCEKeyGenerator.VMPC, JCEKeyGenerator.VMPCKSA3, JCEKeyGenerator.XTEA`

### Field Summary

### Fields inherited from class org.bouncycastle.jce.provider.JCEKeyGenerator

`algName, defaultKeySize, engine, keySize, uninitialised`

### Constructor Summary

Constructors
Constructor and Description
`JCEKeyGenerator.CAST6()`

### Method Summary

### Methods inherited from class org.bouncycastle.jce.provider.JCEKeyGenerator

`engineGenerateKey, engineInit, engineInit, engineInit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JCEKeyGenerator.CAST6

    public JCEKeyGenerator.CAST6()